{-# LANGUAGE OverloadedStrings #-}
module Control.Meta where

import Control.Monad.Reader (asks)

-- internal imports

import Types

metaGet :: MateHandler MetaInformation
metaGet = do
  symbol <- asks rsCurrencySymbol
  version <- asks rsSoftwareVersion
  return (MetaInformation
    { metaInfoVersion = version
    , metaInfoCurrency = symbol
    }
    )
