{-# LANGUAGE DeriveGeneric #-}
module Types.Meta where

import qualified Data.Text as T

import Data.Aeson

import GHC.Generics
import Data.OpenApi (ToSchema)

data MetaInformation = MetaInformation
  { metaInfoVersion  :: T.Text
  , metaInfoCurrency :: T.Text
  , metaInfoDecimals :: Int
  }
  deriving (Show, Generic)

instance ToJSON MetaInformation where
  toEncoding = genericToEncoding defaultOptions

instance FromJSON MetaInformation
instance ToSchema MetaInformation
